# JsDoc Reference - Ciform.ciphers.CiformPacketizer

Class Index | File Index

## Classes

- _global_
- Ciform
- Ciform.Cipher
- Ciform.ciphers
- Ciform.ciphers.ChainEncoder
- Ciform.ciphers.CiformPacketizer
- Ciform.ciphers.Encoder
- Ciform.ciphers.RSAEncoder
- Ciform.ciphers.RSAPublicKey
- Ciform.ciphers.SHA1Encoder
- Ciform.Field
- Ciform.protocol

# Class Ciform.ciphers.CiformPacketizer

This encoder makes sure the ciphertext will be a ciform packet.
Defined in: ciform.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ciform.ciphers.CiformPacketizer()

Method Summary
Method Attributes | Method Name and Description
--- | ---
| encode(message) Adds Ciform.protocol#PACKET_PREFIX to the message, if necessary.

Class Detail
Ciform.ciphers.CiformPacketizer()

See:
  Ciform.protocol

Method Detail
encode(message)
Adds Ciform.protocol#PACKET_PREFIX to the message, if necessary.

Parameters:
message

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:49 GMT+0100 (CET)